package test.drs_tst.recs.utils.appprofiles;

import java.util.HashMap;
import java.util.Map;

public class ProfileGetter {

	private static final Map<String, Class> profileNameMap;
    static
    {
        profileNameMap = new HashMap<String, Class>();
        profileNameMap.put("abinit", AbinitProfile.class);
        profileNameMap.put("lin_tiny", LinTinyProfile.class);
        profileNameMap.put("c_ray", CRayProfile.class);
        profileNameMap.put("lin_3gb", Lin3GBProfile.class);
        profileNameMap.put("tar", TarProfile.class);
        profileNameMap.put("fft", FFTProfile.class);
    }
    
    public static ApplicationProfileBase getProfileWithName(String name){
    	try {
			return (ApplicationProfileBase) profileNameMap.get(name).newInstance();
		} catch (InstantiationException e) {
			// TODO Auto-generated catch block
			return null;
		} catch (IllegalAccessException e) {
			// TODO Auto-generated catch block
			return null;
		}
    }
}
